Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.NEP.ProblemType

class slepc4py.SLEPc.NEP.ProblemType

  Bases: `object`

  NEP problem type.

  - `GENERAL`: General nonlinear eigenproblem.

  - `RATIONAL`: NEP defined in split form with all \(f_i\) rational.

  Attributes Summary

  `GENERAL` | Constant `GENERAL` of type `int`
  `RATIONAL` | Constant `RATIONAL` of type `int`

  Attributes Documentation

  GENERAL: int = GENERAL

    Constant `GENERAL` of type `int`

  RATIONAL: int = RATIONAL

    Constant `RATIONAL` of type `int`